## dipy 1.9.0

=== debian/changelog ===
dipy (1.9.0-8) unstable; urgency=medium

  * Pandas is optional, move it to Recommends; skip it as a build-dep on
    mips64el for now.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 15:16:36 +0200

dipy (1.9.0-7) unstable; urgency=medium

  * Team upload.
  * d/tests/control: python3-tables is not required on s390x. Also, don't skip
    any extra tests just for s390x.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 24 Sep 2024 14:39:33 +0200

dipy (1.9.0-6) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to add Python 3.13 support. Closes:
    #1081694
  * Backport patch from upstream for better big-endian compatibility.
  * d/control: drop python3-tables build-dep for s390x, it is optional
    and not currently available.
  * d/patches/improve-fibonacci_sphere-reliability: adapted a fix from
    upstream to improve the reliability of a test.
  * Added patch to avoid syntax warnings from LaTeX embedded in
    docstrings
  * Link docs against python3-doc
  * d/control: drop "python-is-python3"; added patch to not need this
  * Improve cross-building by adjusting the python*-dev dependencies as per
    https://wiki.debian.org/CrossBuildPackagingGuidelines#Python_extensions
  * d/rules: drop special handling of s390x
  * d/rules: deep the sphinx object.inv in the -doc package
  * d/control: add build-dep on pkgconf to silence warning.
  * Added patch to remove some flaky test assertions about execution
    durations

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 23 Sep 2024 14:07:44 +0200

dipy (1.9.0-5) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: skip test_check_img_shapes on all 32-bit archs.
    Closes: #1071448

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 15:06:36 +0200

dipy (1.9.0-4) unstable; urgency=medium

  * Team upload.
  * d/tests/run-unit-test: fix i386 autopkgtest
  * d/patches/relay_comparison: forwarded upstream

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 18 Jun 2024 15:03:21 +0200

dipy (1.9.0-3) unstable; urgency=medium

  * Team upload.
  * Skip the test_check_img_shapes on 32-bit systems. Closes: #1071448

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 May 2024 17:19:21 +0200

dipy (1.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Graham Inggs ]
  * Fix FTBFS when built with the 'nocheck' profile
    Closes: #1070515

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

  [ Étienne Mollier ]
  * d/control: python3-nibabel is also needed for the doc.

  [ Michael R. Crusoe ]
  * d/control: h5py, trx, and tqdm are also required to build the docs.
  * Added test patch to fix pytest module-level setup. Closes: #1068146
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: remove obsolete "XB-Python3-Version" field.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 10 May 2024 19:12:08 +0200

dipy (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * skip-tests-needing-internet.patch: refresh.
  * deb_no_sources_for_docs patch: unfuzz.
  * no-network.patch: unfuzz.
  * skip-stringent-test.patch: remove.
    Patched files disappeared upstream.
  * sphinx-default.patch: refresh.
  * fix-privacy-breaches.patch: refresh.
  * fix-endianness.patch: remove: applied upstream.
  * clear-cython.patch: remove: applied upstream.
  * d/{rules,t/run-unit-test}: extend net skipping.
    Some of the test initially skipped though patch were not applying
    properly anymore.  This change puts the skipping logic in test driver
    invocation, in order to reduce the overhead of rebasing patches.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 18:03:49 +0100

=== debian/control ===
Source: dipy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               pkgconf,
               libgomp1,
               cython3,
               python3-all-dev:native,
               libpython3-all-dev,
               python3-setuptools,
               python3-mesonpy,
               python3-numpy,
               python3-scipy,
               python3-h5py <!nocheck> <!nodoc>,
               python3-matplotlib <!nocheck>,
               python3-nibabel <!nocheck> <!nodoc>,
               python3-pil.imagetk <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pandas [!mips64el] <!nocheck>,
               python3-tables [!s390x] <!nocheck>,
               python3-tk <!nocheck>,
               python3-trx-python <!nocheck> <!nodoc>,
               python3-sklearn <!nocheck>,
               python3-tqdm <!nocheck> <!nodoc>,
               xvfb <!nocheck>,
               xauth <!nocheck>
Build-Depends-Indep: python3-sphinx <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-skimage <!nodoc>,
                     python3-sphinx-design <!nodoc>,
                     python3-doc <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/dipy
Vcs-Git: https://salsa.debian.org/med-team/dipy.git
Homepage: https://dipy.org
Rules-Requires-Root: no

Package: python3-dipy
Architecture: all
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-scipy,
         python3-h5py,
         python3-dipy-lib (>= ${source:Version}),
         python3-tqdm,
         python3-packaging
Recommends: python3-matplotlib,
            python3-vtk9,
            python3-nibabel,
            python3-tables,
            python3-sklearn,
            python3-pandas
Suggests: python3-boto3,
          python-dipy-doc
Provides: ${python3:Provides}
Description: Python library for the analysis of diffusion MRI datasets
 DIPY is a software project for computational neuroanatomy. It focuses
 on diffusion magnetic resonance imaging (dMRI) analysis and
 tractography but also contains implementations of other computational
 imaging methods such as denoising and registration that are
 applicable to the greater medical imaging and image processing
 communities. Additionally, DIPY is an international project which
 brings together scientists across labs and countries to share their
 state-of-the-art code and expertise in the same codebase,
 accelerating scientific research in medical imaging.
 .
 Here are some of the highlights:
  - Reconstruction algorithms: CSD, DSI, GQI, DTI, DKI, QBI, SHORE
    and MAPMRI
  - Fiber tracking algorithms: deterministic and probabilistic
  - Native linear and nonlinear registration of images
  - Fast operations on streamlines (selection, resampling, registration)
  - Tractography segmentation and clustering
  - Many image operations, e.g., reslicing or denoising with NLMEANS
  - Estimation of distances/correspondences between streamlines and
    connectivity matrices
  - Interactive visualization of streamlines in the space of images
 .
 This package contains the Python 3 version.

Package: python3-dipy-lib
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Description: Python library for the analysis of diffusion MRI datasets -- Python3 extensions
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides architecture-dependent builds of the extensions
 for Python3.

Package: python-dipy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax,
         libjs-sphinxdoc,
         node-mathjax-full
Suggests: python3-dipy, python3-doc
Description: Python library for the analysis of diffusion MRI datasets -- documentation
 DIPY is a library for the analysis of diffusion magnetic resonance
 imaging data.
 .
 This package provides the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=dipy
export MPLBACKEND=Agg
export MPLCONFIGDIR=/tmp
export HOME=/tmp

ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
export http_proxy=http://127.0.0.1:9/
export https_proxy=https://127.0.0.1:9/
endif

PACKAGE3_NAME = python3-$(PYBUILD_NAME)
PACKAGE3_ROOT_DIR = $(CURDIR)/debian/${PACKAGE3_NAME}
INSTALL_PATH = $(CURDIR)/debian/tmp
PY3VERS = $(shell py3versions -vr)
BUILD_DATE := $(shell \
	date \
		--utc \
		--date="@$${SOURCE_DATE_EPOCH:-$(shell date +%s)}" \
		'+%B %d, %Y' \
)
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"

# WARNING: test specifications below should match d/t/run-unit-test!

# These tests attempt to make use of the network, notably during setup phase.
SKIP_NET_TESTS := \
	not dipy/utils/tests/test_tractogram.py \
	and not test_io_info \
	and not test_concatenate_flow \
	and not test_convert_tractogram_flow \
	and not test_spike \
	and not test_normalization \
	and not test_kernel_input \
	and not test_fbc \
	and not test_concatenate

# These tests hog resources because they are too long, so it is preferable to
# skip them to give the infrastructure some breath.
SKIP_LONG_TESTS := \
	not dipy/align/tests/test_streamwarp.py \
	and not dipy/denoise/tests/test_lpca.py \
	and not dipy/reconst/tests/test_sfm.py \
	and not dipy/workflows/tests/test_reconst_csa_csd.py \
	and not dipy/workflows/tests/test_reconst_rumba.py

SKIP_32BIT_TESTS := not test_check_img_shapes

ifneq (,$(findstring $(DEB_HOST_ARCH_BITS),32))
TEST_SPEC := ${SKIP_NET_TESTS} and $(SKIP_LONG_TESTS) and $(SKIP_32BIT_TESTS)
else
TEST_SPEC := ${SKIP_NET_TESTS} and $(SKIP_LONG_TESTS)
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean || true
	rm -rf .pybuild __pycache__
	find dipy -name "*\.c" -delete

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Do not test just after build, lets install and then test
endif

override_dh_auto_build:
	chmod 0644 doc/examples/*.py
	dh_auto_build
	find -name func_coef.nii.gz -print -exec chmod 0644 '{}' ';'

execute_after_dh_auto_install:
	# Prune duplicate LICENSE file
	find debian/ -name LICENSE -delete
	# Only now lets build docs
ifeq (python-dipy-doc_,$(filter python-dipy-doc,$(shell dh_listpackages))_$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd doc/ \
	&& PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
		$(MAKE) html SPHINXOPTS="$(SPHINXOPTS)"
	# references to cloudflare and github are privacy breaches
	sed 's@https://cdnjs\.cloudflare\.com/ajax/libs/mathjax/[^/]\+/@file:///usr/share/javascript/mathjax/unpacked/@' \
		-i doc/_build/html/*.html \
		   doc/_build/html/interfaces/*.html \
		   doc/_build/html/theory/*.html
	sed 's@https://cdn\.jsdelivr\.net/npm/mathjax[@]3/es5/tex-mml-chtml\.js@file:///usr/share/nodejs/mathjax-full/es5/tex-mml-chtml.js@' \
		-i doc/_build/html/*.html \
		   doc/_build/html/interfaces/*.html \
		   doc/_build/html/reference/*.html \
		   doc/_build/html/theory/*.html
	# FIXME: references to github are for images part of dipy_data, which
	# is not available in debian; these may need packaging to solve the
	# privacy breach here.
endif
	# Run tests later on
	# cd build to prevent use of local/not-built source tree
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex \
	; for PYTHON in $(PY3VERS) \
	; do	PYPKG="$(PACKAGE3_ROOT_DIR)/usr/lib/python$$PYTHON/dist-packages" \
	;	export PYTHONPATH="$$PYPKG" \
	;	echo "I: Running Dipy unittests using $$PYTHON" \
	;	cd "$$PYPKG" \
	;	PATH=$(PACKAGE3_ROOT_DIR)/usr/bin:$$PATH \
		xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
			python$$PYTHON -m pytest -v -k '$(TEST_SPEC)' dipy \
	;	rm .pytest_cache -rf \
	; done
endif
	# Cleanup files landing unnecessarily in the python3 modules directory.
	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/*.nii.gz
	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/*.trk
	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/affine.txt
	# Cleanup files landing in non-standard path
	rm -rfv debian/$(PACKAGE3_NAME)/usr/doc

## "Instantiate" both rules so dh sees them
override_dh_python3:
	set -e \
	; test -d debian/$(PACKAGE3_NAME)/usr/lib || exit 0 \
	; for lib in $$(find debian/$(PACKAGE3_NAME)/usr/lib -name "*.so") \
	; do	sdir=$$(dirname $$lib) \
	;	tdir=debian/$(PACKAGE3_NAME)-lib/$${sdir#*$(PACKAGE3_NAME)/} \
	;	mkdir -p "$${tdir}" \
	;	mv -v "$${lib}" "$${tdir}" \
	; done
	dh_numpy3 -p$(PACKAGE3_NAME)-lib
	dh_python3

# immediately useable documentation and example data
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc \
		-X.par -X.bin -Xobjects.inv

execute_before_dh_link-indep:
	rm -fv debian/python-dipy-doc/usr/share/doc/python-dipy-doc/html/_static/doctools.js
	rm -fv debian/python-dipy-doc/usr/share/doc/python-dipy-doc/html/_static/language_data.js
	rm -fv debian/python-dipy-doc/usr/share/doc/python-dipy-doc/html/_static/searchtools.js

execute_after_dh_fixperms-arch:
	# Fix a couple of executables neither elf nor scripts.
	find debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/ \
		-name '*.py' \
		-exec chmod -x '{}' '+'

execute_before_dh_clean:
	rm -rf build doc-stamp
	$(MAKE) -C doc clean

override_dh_dwz:
	dh_dwz || true

inject-doc-examples:
	mkdir -p doc-examples
	tar -C doc-examples --strip-components 1 \
		-xzvf ../tarballs/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig-doc-examples.tar.gz

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all,
            python3-pytest,
            xvfb, xauth,
            python3-matplotlib,
            python3-vtk9,
            python3-nibabel,
            python3-tables [!s390x],
            python3-pandas [!mips64el],
            python3-sklearn
Restrictions: allow-stderr

# Try running examples as autopkgtest to address bug #994575 - but
# several of them seem to require user interaction or additional
# modules - thus the test needs to be deactivated and is just some
# proof of concept currently

#Test-Command: xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
#Depends: @, python3-all,
#            python3-pytest,
#            xvfb, xauth,
#            python3-matplotlib,
#            python3-vtk9,
#            python3-nibabel,
#            python3-tables [!s390x],
#            python3-sklearn
#Restrictions: allow-stderr, needs-internet

## dipy 1.10.0~rc1

=== debian/changelog ===
dipy (1.10.0~rc1-2) unstable; urgency=medium

  * Team upload.
  * Revert the running of the tests in parallel.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Nov 2024 17:16:28 +0100

dipy (1.10.0~rc1-1) unstable; urgency=medium

  * Team upload.
  * Forward python3 patch to upstream.
  * Snapshot of https://github.com/dipy/dipy/pull/3364/ (preparation for a
    1.10.0 release). Closes: #1081694
  * Refreshed patches.
  * Improve privacy patch
  * d/patches/tests_tempdir: added
  * Standards-Version: 4.7.0 (routine-update)
  * d/rules: adjust how xvfb is used to run the tests.
  * Run the tests in parallel
  * Run the tests with pybuild and the autopkgtests using pybuild-autopkgtest

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 19:03:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export MPLBACKEND=Agg
 export MPLCONFIGDIR=/tmp
 export HOME=/tmp
+export TEST_WITH_XVFB=true
 
 ifeq (,$(findstring get-orig-source, $(MAKECMDGOALS)))
 export http_proxy=http://127.0.0.1:9/
@@ -56,6 +57,8 @@
 TEST_SPEC := ${SKIP_NET_TESTS} and $(SKIP_LONG_TESTS)
 endif
 
+export PYBUILD_TEST_ARGS=-k '$(TEST_SPEC)' --pyargs dipy
+
 %:
 	dh $@ --buildsystem=pybuild
 
@@ -63,11 +66,6 @@
 	dh_auto_clean || true
 	rm -rf .pybuild __pycache__
 	find dipy -name "*\.c" -delete
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Do not test just after build, lets install and then test
-endif
 
 override_dh_auto_build:
 	chmod 0644 doc/examples/*.py
@@ -96,25 +94,6 @@
 	# is not available in debian; these may need packaging to solve the
 	# privacy breach here.
 endif
-	# Run tests later on
-	# cd build to prevent use of local/not-built source tree
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -ex \
-	; for PYTHON in $(PY3VERS) \
-	; do	PYPKG="$(PACKAGE3_ROOT_DIR)/usr/lib/python$$PYTHON/dist-packages" \
-	;	export PYTHONPATH="$$PYPKG" \
-	;	echo "I: Running Dipy unittests using $$PYTHON" \
-	;	cd "$$PYPKG" \
-	;	PATH=$(PACKAGE3_ROOT_DIR)/usr/bin:$$PATH \
-		xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-			python$$PYTHON -m pytest -v -k '$(TEST_SPEC)' dipy \
-	;	rm .pytest_cache -rf \
-	; done
-endif
-	# Cleanup files landing unnecessarily in the python3 modules directory.
-	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/*.nii.gz
-	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/*.trk
-	rm -fv debian/$(PACKAGE3_NAME)/usr/lib/python3*/dist-packages/affine.txt
 	# Cleanup files landing in non-standard path
 	rm -rfv debian/$(PACKAGE3_NAME)/usr/doc

## dipy 1.10.0

=== debian/changelog ===
dipy (1.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Collin Watson ]
  * Fix skipping long tests
    Closes: #1090768

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2024 16:47:12 +0100

dipy (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Added patch to make the docs more reproducible.
    Removed "tests_tempdir" patch as it was applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 15 Dec 2024 15:15:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Michael Hanke <mih@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -35,8 +35,9 @@
                      python3-numpydoc <!nodoc>,
                      python3-skimage <!nodoc>,
                      python3-sphinx-design <!nodoc>,
+                     python3-sphinxcontrib.bibtex <!nodoc>,
                      python3-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org

## dipy 1.11.0

=== Makefile ===
# Simple makefile to quickly access handy build commands for Cython extension
# code generation.  Note that the actual code to produce the extension lives in
# the setup.py file, this Makefile is just meant as a command
# convenience/reminder while doing development.

PYTHON ?= python3
PKGDIR=dipy
DOCSRC_DIR=doc
DOCDIR=${PKGDIR}/${DOCSRC_DIR}
TESTDIR=${PKGDIR}/tests

help:
	@echo "Numpy/Cython tasks.  Available tasks:"
	@echo "ext  -> build the Cython extension module."
	@echo "cython-html -> create annotated HTML from the .pyx sources"
	@echo "test -> run a simple test demo."
	@echo "all  -> Call ext, html and finally test."

all: ext cython-html test

ext: recspeed.so propspeed.so vox2track.so \
    distances.so streamlinespeed.so denspeed.so \
    vec_val_sum.so quick_squash.so vector_fields.so \
    crosscorr.so sumsqdiff.so expectmax.so bundlemin.so \
    cythonutils.so featurespeed.so metricspeed.so \
    clusteringspeed.so clustering_algorithms.so \
    mrf.so

test: ext
	pytest -s --verbose --doctest-modules .

cython-html:  ${PKGDIR}/reconst/recspeed.html ${PKGDIR}/tracking/propspeed.html ${PKGDIR}/tracking/vox2track.html ${PKGDIR}/tracking/distances.html ${PKGDIR}/tracking/streamlinespeed.html ${PKGDIR}/segment/cythonutils.html ${PKGDIR}/segment/featurespeed.html ${PKGDIR}/segment/metricspeed.html ${PKGDIR}/segment/clusteringspeed.html ${PKGDIR}/segment/clustering_algorithms.html

recspeed.so: ${PKGDIR}/reconst/recspeed.pyx
cythonutils.so: ${PKGDIR}/segment/cythonutils.pyx
featurespeed.so: ${PKGDIR}/segment/featurespeed.pyx
metricspeed.so: ${PKGDIR}/segment/metricspeed.pyx
mrf.so: ${PKGDIR}/segment/mrf.pyx
clusteringspeed.so: ${PKGDIR}/segment/clusteringspeed.pyx
clustering_algorithms.so: ${PKGDIR}/segment/clustering_algorithms.pyx
propspeed.so: ${PKGDIR}/tracking/propspeed.pyx
vox2track.so: ${PKGDIR}/tracking/vox2track.pyx
distances.so: ${PKGDIR}/tracking/distances.pyx
streamlinespeed.so: ${PKGDIR}/tracking/streamlinespeed.pyx
denspeed.so: ${PKGDIR}/denoise/denspeed.pyx
vec_val_sum.so: ${PKGDIR}/reconst/vec_val_sum.pyx
quick_squash.so: ${PKGDIR}/reconst/quick_squash.pyx
vector_fields.so: ${PKGDIR}/align/vector_fields.pyx
crosscorr.so: ${PKGDIR}/align/crosscorr.pyx
sumsqdiff.so: ${PKGDIR}/align/sumsqdiff.pyx
expectmax.so: ${PKGDIR}/align/expectmax.pyx
bundlemin.so: ${PKGDIR}/align/bundlemin.pyx

	$(PYTHON) setup.py build_ext --inplace

# Phony targets for cleanup and similar uses

.PHONY: clean

clean:
	- find ${PKGDIR} -name "*.so" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.pyd" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.c" -print0 | xargs -0 rm
	- find ${PKGDIR} -name "*.html" -print0 | xargs -0 rm
	rm -rf build
	rm -rf docs/_build
	rm -rf docs/dist
	rm -rf dipy/dipy.egg-info

distclean: clean
	rm -rf dist

# Suffix rules
%.c : %.pyx
	cython $<

%.html : %.pyx
	cython -a $<

source-release: clean
	$(PYTHON) -m compileall .
	$(PYTHON) -m build --sdist --wheel .

binary-release: clean
	$(PYTHON) -m build --wheel .

# Checks to see if local files pass formatting rules
format:
	$(PYTHON) -m pycodestyle dipy

=== requirements.txt ===
# Check against .travis.yml file and dipy/info.py
cython>=0.29.35, !=0.29.29
numpy>=1.22.4
scipy>=1.8.1
nibabel>=4.0.0
h5py>=3.7.0
packaging>=19.0
tqdm>=4.30.0
trx-python>=0.2.9

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -j auto
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  api       to make the auto-generated API files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean: api-clean examples-clean
	-rm -rf _build/*
	-rm *-stamp

api-clean:
	rm -rf reference/*.rst
	rm -rf reference_cmd/*.rst

api:
	@mkdir -p reference
	$(PYTHON) tools/build_modref_templates.py dipy reference
	@mkdir -p reference_cmd
	$(PYTHON) tools/docgen_cmd.py dipy reference_cmd
	@echo "Build API docs...done."

examples-clean:
	rm -rf examples_revamped
	-cd examples_built && find . -not -name "README" -not -name ".gitignore" -exec rm -rfd {} \; || true

gitwash-update:
	python3 ../tools/gitwash_dumper.py devel dipy --repo-name=dipy --github-user=dipy \
            --project-url=https://dipy.org \
            --project-ml-url=https://mail.python.org/mailman/listinfo/neuroimaging

html: api
	#  Standard html build after examples have been prepared
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-no-examples: api
	# Standard html build after examples have been prepared
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/dipy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/dipy.qhc"

latex: api
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

pdf: pdf-stamp
pdf-stamp: latex
	cd _build/latex && make all-pdf
	touch $@

upload: html
	./upload-gh-pages.sh _build/html/ dipy dipy

xvfb:
	export TEST_WITH_XVFB=true && make html

memory_profile:
	export TEST_WITH_MEMPROF=true && make html

=== debian/changelog ===
dipy (1.11.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1096208
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Removed several applied upstream.
  * Updated the lists of tests to skip due to internet usage

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 17 Mar 2025 14:13:33 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                      python3-sphinx-design <!nodoc>,
                      python3-sphinxcontrib.bibtex <!nodoc>,
                      python3-doc <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/dipy
 Vcs-Git: https://salsa.debian.org/med-team/dipy.git
 Homepage: https://dipy.org

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,9 @@
 )
 SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
 
-# WARNING: test specifications below should match d/t/run-unit-test!
-
 # These tests attempt to make use of the network, notably during setup phase.
 SKIP_NET_TESTS := \
-	not dipy/utils/tests/test_tractogram.py \
+	not test_tractogram.py \
 	and not test_io_info \
 	and not test_concatenate_flow \
 	and not test_convert_tractogram_flow \
@@ -43,11 +41,11 @@
 # These tests hog resources because they are too long, so it is preferable to
 # skip them to give the infrastructure some breath.
 SKIP_LONG_TESTS := \
-	not dipy/align/tests/test_streamwarp.py \
-	and not dipy/denoise/tests/test_lpca.py \
-	and not dipy/reconst/tests/test_sfm.py \
-	and not dipy/workflows/tests/test_reconst_csa_csd.py \
-	and not dipy/workflows/tests/test_reconst_rumba.py
+	not test_streamwarp.py \
+	and not test_lpca.py \
+	and not test_sfm.py \
+	and not test_reconst_csa_csd.py \
+	and not test_reconst_rumba.py
 
 SKIP_32BIT_TESTS := not test_check_img_shapes
